Update lists
PATCH /api/v1/lists/{listId}: request fields and declared response contract.
PATCH/api/v1/lists/{listId}
| Permission | list.manage |
|---|---|
| Workspace scope | required |
| Scope target | workspace |
Parameters
| Field | Type | Required | Nullable | Default |
|---|---|---|---|---|
| listId | string | required | non-null | — |
Query parameters: none.
Request body
| Field | Type | Required | Nullable | Default |
|---|---|---|---|---|
| name | string | optional | non-null | — |
| description | string | optional | non-null | — |
| rankingConfig | object | optional | non-null | — |
| rankingConfig.type | "none" | "manual" | "computed" | required | non-null | — |
| rankingConfig.sortBy | "aum" | "lastTouch" | "relationshipStatus" | "alphabetical" | optional | non-null | — |
| rankingConfig.sortOrder | "asc" | "desc" | optional | non-null | — |
| rankingConfig.lastSortedBy | "aum" | "lastTouch" | "relationshipStatus" | "alphabetical" | optional | non-null | — |
Response
200
| Field | Type | Required | Nullable | Default |
|---|---|---|---|---|
| data | object | required | non-null | — |
| data.id | string | required | non-null | — |
| data.companyId | string | required | non-null | — |
| data.name | string | required | non-null | — |
| data.description | string | optional | nullable | — |
| data.createdAt | string | optional | nullable | — |
| data.target | unknown | optional | non-null | — |
Declared failures
| LIST_NOT_FOUND | 404 — not retryable |
|---|
Readback
Read the result back with:
- lists.get
Request example
Schematic only. Replace placeholders with real values and include all required nested fields.
PATCH /api/v1/lists/{listId} HTTP/1.1
Authorization: Bearer <token>
x-merulan-workspace-id: <workspace-id>
Content-Type: application/json
{}